<table id="da-reactions-list">
    <caption>
        <p><?php _ex('Use the handler in the first column to drag and reorder Reactions.', 'Reactions Table Instructions', 'da-reactions'); ?>
        <?php _ex('Click on an icon to change the image.', 'Reactions Table Instructions', 'da-reactions'); ?>
        <?php _ex('Utilize the color picker to change the primary color of an SVG.', 'Reactions Table Instructions', 'da-reactions'); ?>
        <?php _ex('Insert arbitrary text as a label.', 'Reactions Table Instructions', 'da-reactions'); ?>
        <?php _ex('Delete existing Reactions by clicking the trash can icon on the right.', 'Reactions Table Instructions', 'da-reactions'); ?>
            <?php _ex('To add a new Reaction, use the button at the bottom.', 'Reactions Table Instructions', 'da-reactions'); ?></p>
        <p><strong><?php _ex("Don't forget saving your Reactions before closing this page.", 'Reactions Table Instructions', 'da-reactions'); ?></strong></p>
    </caption>
    <thead>
    <tr>
        <th scope="col" class="da-reactions-list-column-sort-head">
            <?= _x('Sort', 'Table column heading', 'da-reactions') ?>
        </th>
        <th scope="col" class="da-reactions-list-column-icon-head">
            <?= _x('Icon', 'Table column heading', 'da-reactions') ?>
        </th>
        <th scope="col" class="da-reactions-list-column-color-head">
            <?= _x('Color', 'Table column heading', 'da-reactions') ?>
        </th>
        <th scope="col" class="da-reactions-list-column-label-head">
            <?= _x('Label', 'Table column heading', 'da-reactions') ?>
        </th>
        <th scope="col" class="da-reactions-list-column-tools-head">
            <?= _x('Tools', 'Table column heading', 'da-reactions') ?>
        </th>
    </tr>
    </thead>
    <tfoot>
    <tr>
        <th scope="col" class="da-reactions-list-column-sort-foot">
            <?= _x('Sort', 'Table column heading', 'da-reactions') ?>
        </th>
        <th scope="col" class="da-reactions-list-column-icon-foot">
            <?= _x('Icon', 'Table column heading', 'da-reactions') ?>
        </th>
        <th scope="col" class="da-reactions-list-column-color-foot">
            <?= _x('Color', 'Table column heading', 'da-reactions') ?>
        </th>
        <th scope="col" class="da-reactions-list-column-label-foot">
            <?= _x('Label', 'Table column heading', 'da-reactions') ?>
        </th>
        <th scope="col" class="da-reactions-list-column-tools-foot">
            <?= _x('Tools', 'Table column heading', 'da-reactions') ?>
        </th>
    </tr>
    </tfoot>
    <?php
    /**
     * @var array $reactions
     */
    $iMax = count($reactions);
    if ($iMax > 0) {
        ?>
        <tbody class="sortable">
        <?php
        foreach ($reactions as $reaction) {
            ?>
            <tr>
                <td class="da-reactions-list-column-sort">
                    <span class="dashicons dashicons-menu handle"></span>
                    <input type="hidden" class="input_position"
                           name="<?= $reaction['sort_field_name'] ?>"
                           value="<?= $reaction['sort_order'] ?>"/>
                </td>
                <td class="da-reactions-list-column-icon">
                    <a href="javascript:" data-id="<?= $reaction['ID'] ?>"
                       class="change-image">
                        <img alt="<?= $reaction['label'] ?>"
                             src="<?= $reaction['image_file_url'] ?>"
                             width="64"
                             data-fill="<?= $reaction['color'] ?>"/>
                        <input type="hidden" name="<?= $reaction['image_field_name'] ?>" value=""/>
                    </a>
                </td>
                <td class="da-reactions-list-column-color">
                    <label for="da-reactions-color-picker-<?= $reaction['ID'] ?>"
                           class="screen-reader-text"><?= __('Color', 'da-reactions') ?></label>
                    <input id="da-reactions-color-picker-<?= $reaction['ID'] ?>" type="color"
                           name="<?= $reaction['color_field_name'] ?>"
                           value="<?= $reaction['color'] ?>"/>
                </td>
                <td class="da-reactions-list-column-label">
                    <label for="da-reactions-label-input-<?= $reaction['ID'] ?>"
                           class="screen-reader-text"><?= __('Label', 'da-reactions') ?></label>
                    <input id="da-reactions-label-input-<?= $reaction['ID'] ?>" type="text"
                           name="<?= $reaction['label_field_name'] ?>"
                           value="<?= $reaction['label'] ?>"/>
                </td>
                <td class="da-reactions-list-column-tools">
                    <a href="#" class="delete" data-id="<?= $reaction['ID'] ?>">
                        <span class="dashicons dashicons-trash"></span>
                    </a>
                </td>
            </tr>
            <?php
        }
        ?>
        </tbody>
        <?php
    } else {
        ?>
        <tr class="no-results">
            <td colspan="5">
                <?php _e('There are no reactions', 'da-reactions'); ?>
                <?php include_once(DA_REACTIONS_PATH . 'templates/admin/buttons-settings-table.php'); ?>
            </td>
        </tr>
        <?php
    }
    ?>
</table>
